Package org.spongepowered.asm.mixin.transformer

## Class ClassInfo.Method

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.ClassInfo.Method

- Direct Known Subclasses:
    `ClassInfo.InterfaceMethod`
  Enclosing class:
    ClassInfo

      public class ClassInfo.Method
      extends java.lang.Object

  A method

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Method​(java.lang.String name, java.lang.String desc)` |
    `Method​(java.lang.String name, java.lang.String desc, int access)` |
    `Method​(java.lang.String name, java.lang.String desc, int access, boolean injected)` |
    `Method​(org.objectweb.asm.tree.MethodNode method)` |
    `Method​(org.objectweb.asm.tree.MethodNode method, boolean injected)` |
    `Method​(org.spongepowered.asm.mixin.transformer.ClassInfo.Member member)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `conform​(java.lang.String name)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `boolean` | `equals​(java.lang.String name, java.lang.String desc)` |
    `int` | `getAccess()` |
    `java.lang.String` | `getDesc()` |
    `protected java.lang.String` | `getDisplayFormat()` |
    `java.util.List<ClassInfo.FrameData>` | `getFrames()` |
    `ClassInfo` | `getImplementor()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getOriginalDesc()` |
    `java.lang.String` | `getOriginalName()` |
    `ClassInfo` | `getOwner()` |
    `int` | `hashCode()` |
    `boolean` | `isAbstract()` |
    `boolean` | `isAccessor()` |
    `boolean` | `isConformed()` |
    `boolean` | `isDecoratedFinal()` |
    `boolean` | `isDecoratedMutable()` |
    `boolean` | `isFinal()` |
    `boolean` | `isInjected()` |
    `boolean` | `isPrivate()` |
    `boolean` | `isRemapped()` |
    `boolean` | `isRenamed()` |
    `boolean` | `isStatic()` |
    `boolean` | `isSynthetic()` |
    `boolean` | `isUnique()` |
    `boolean` | `matchesFlags​(int flags)` |
    `java.lang.String` | `remapTo​(java.lang.String desc)` |
    `java.lang.String` | `renameTo​(java.lang.String name)` |
    `protected void` | `setDecoratedFinal​(boolean decoratedFinal, boolean decoratedMutable)` |
    `void` | `setUnique​(boolean unique)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Method

          public Method​(org.spongepowered.asm.mixin.transformer.ClassInfo.Member member)

    - #### Method

          public Method​(org.objectweb.asm.tree.MethodNode method)

    - #### Method

          public Method​(org.objectweb.asm.tree.MethodNode method,
                        boolean injected)

    - #### Method

          public Method​(java.lang.String name,
                        java.lang.String desc)

    - #### Method

          public Method​(java.lang.String name,
                        java.lang.String desc,
                        int access)

    - #### Method

          public Method​(java.lang.String name,
                        java.lang.String desc,
                        int access,
                        boolean injected)

  - ### Method Detail

    - #### getFrames

          public java.util.List<ClassInfo.FrameData> getFrames()

    - #### getOwner

          public ClassInfo getOwner()

    - #### isAccessor

          public boolean isAccessor()

    - #### isConformed

          public boolean isConformed()

    - #### renameTo

          public java.lang.String renameTo​(java.lang.String name)

      Parameters:
        `name` - new name
      Returns:
        the passed-in argument, for fluency

    - #### conform

          public java.lang.String conform​(java.lang.String name)

      Parameters:
        `name` - new name
      Returns:
        the passed-in argument, for fluency

    - #### equals

          public boolean equals​(java.lang.Object obj)

    - #### getOriginalName

          public java.lang.String getOriginalName()

    - #### getName

          public java.lang.String getName()

    - #### getOriginalDesc

          public java.lang.String getOriginalDesc()

    - #### getDesc

          public java.lang.String getDesc()

    - #### isInjected

          public boolean isInjected()

    - #### isRenamed

          public boolean isRenamed()

    - #### isRemapped

          public boolean isRemapped()

    - #### isPrivate

          public boolean isPrivate()

    - #### isStatic

          public boolean isStatic()

    - #### isAbstract

          public boolean isAbstract()

    - #### isFinal

          public boolean isFinal()

    - #### isSynthetic

          public boolean isSynthetic()

    - #### isUnique

          public boolean isUnique()

    - #### setUnique

          public void setUnique​(boolean unique)

    - #### isDecoratedFinal

          public boolean isDecoratedFinal()

    - #### isDecoratedMutable

          public boolean isDecoratedMutable()

    - #### setDecoratedFinal

          protected void setDecoratedFinal​(boolean decoratedFinal,
                                           boolean decoratedMutable)

    - #### matchesFlags

          public boolean matchesFlags​(int flags)

    - #### getImplementor

          public ClassInfo getImplementor()

    - #### getAccess

          public int getAccess()

    - #### remapTo

          public java.lang.String remapTo​(java.lang.String desc)

    - #### equals

          public boolean equals​(java.lang.String name,
                                java.lang.String desc)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getDisplayFormat

          protected java.lang.String getDisplayFormat()